php-5.3.28安装ldap扩展

racktables 用到了 ldap 认证,对已经编译好的 php-5.3.28,缺少这个模块

现在需要加载 ldap.so

首先准备依赖库

yum安装依赖

yum install -y cyrus-sasl-ldap.x86_64
yum install -y openldap-devel.x86_64
yum install -y openldap.x86_64
yum install -y openldap-devel.i686

下载源码 php-5.3.28.tar.gz

cd ./ext/ldap
/usr/local/php-5.3.28/bin/phpize
./configure --php-config=/usr/local/php-5.3.28/bin/php-config
make
make install

最后在php.ini启用此扩展

extension = "ldap.so"

重启 php

发表评论

电子邮件地址不会被公开。 必填项已用*标注